<?php

/**
 * Single Forum Content Part
 */

?>

<div id="bbpress-forums">

	<?php if ( bbp_allow_search() ) : ?>

		<div class="bbp-search-form">

			<?php bbp_get_template_part( 'form', 'search' ); ?>

		</div>

	<?php endif; ?>
	
	<?php //bbp_breadcrumb(); ?>

	<?php do_action( 'bbp_template_before_single_forum' ); ?>

	<?php if ( post_password_required() ) : ?>

		<?php bbp_get_template_part( 'form', 'protected' ); ?>

	<?php else : ?>

		<?php //bbp_single_forum_description(array('before' => '<p class="forum-description">', 'after' => '</p>')); ?>

		<?php if ( bbp_has_forums() ) : ?>

			<div class="section-head gallery-title forum-cat">
		
				<ul class="forum-titles">
					<li class="bbp-forum-info"><?php bbp_forum_title(); ?></li>
					<li class="normal bbp-forum-topic-count"><?php _ex('Topics', 'bbPress', 'bunyad'); ?> / <?php bbp_show_lead_topic() ? _ex('Replies', 'bbPress', 'bunyad') : _ex('Posts', 'bbPress', 'bunyad'); ?></li>
					<li class="normal bbp-forum-freshness"><?php _ex('Freshness', 'bbPress', 'bunyad'); ?></li>
				</ul>
		
			</div>

			<?php bbp_get_template_part( 'loop', 'forums' ); ?>

		<?php endif; ?>

		<?php if ( !bbp_is_forum_category() && bbp_has_topics() ) : ?>

			<div class="section-head gallery-title forum-cat">
		
				<ul class="forum-titles">
					<li class="bbp-forum-info"><?php bbp_forum_title(); ?></li>
					<li class="normal bbp-forum-topic-count"><?php _ex('Topics', 'bbPress', 'bunyad'); ?> / <?php bbp_show_lead_topic() ? _ex('Replies', 'bbPress', 'bunyad') : _ex('Posts', 'bbPress', 'bunyad'); ?></li>
					<li class="normal bbp-forum-freshness"><?php _ex('Freshness', 'bbPress', 'bunyad'); ?></li>
				</ul>
		
			</div>
			
			<?php //bbp_get_template_part( 'pagination', 'topics'    ); ?>

			<?php bbp_get_template_part( 'loop',       'topics'    ); ?>

			<?php bbp_get_template_part( 'pagination', 'topics'    ); ?>

			<?php bbp_get_template_part( 'form',       'topic'     ); ?>

		<?php elseif ( !bbp_is_forum_category() ) : ?>

			<?php bbp_get_template_part( 'feedback',   'no-topics' ); ?>

			<?php bbp_get_template_part( 'form',       'topic'     ); ?>

		<?php endif; ?>

	<?php endif; ?>

	<?php do_action( 'bbp_template_after_single_forum' ); ?>

</div>
