<?php 
/*
Title		: Techfind
Description	: Techfind Premium Theme
Author		: Toan Nguyen
Author URI	: http://www.grovepixels.com
License		: GPLv3 - http://www.gnu.org/copyleft/gpl.html
*/
?>

<?php while (have_posts()) : the_post(); ?>

<!-- begin .hentry -->
<article id="post-<?php the_ID(); ?>" <?php post_class('gp-single gp-page'); ?> itemscope="itemscope" itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
		
	<!-- begin .entry-header -->	
	<header class="entry-header">

		<h1 class="entry-title" itemprop="headline"><?php the_title(); ?></h1>

		<div class="entry-meta hidden">

			<span class="entry-author"><?php _e('by', 'gp'); ?> <span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

			<span class="entry-time"><?php _e('on', 'gp'); ?> <span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

		</div>
		
	</header>
	<!-- end .entry-header -->

	<!-- begin .entry-content -->
	<section class="entry-content" itemprop="text">

		<?php the_content(); ?>

		<?php wp_link_pages('before=<div id="gp-page-links">&after=</div>'); ?>

	</section>
	<!-- end .entry-content -->

</article>
<!-- end .hentry -->

<?php endwhile; ?>