<?php 
/*
Title		: Techfind
Description	: Techfind Premium Theme
Author		: Toan Nguyen
Author URI	: http://www.grovepixels.com
License		: GPLv3 - http://www.gnu.org/copyleft/gpl.html
*/
?>

<?php get_header(); ?>

<!-- begin .gp-main -->
<div class="gp-main">

	<div class="gp-row">

		<!-- begin gp-content -->
		<main class="gp-content">

			<?php if (!have_posts()) : ?>

				<?php echo gp_breadcrumbs(); ?>

				<div class="gp-error-title">

					<h1 class="page-title"><?php _e('Search results for', 'gp'); ?> "<?php echo get_search_query(); ?>"</h1>

					<p><?php _e('Sorry, no results were found. Please try again with another keyword.', 'gp'); ?></p>
				
					<?php get_search_form( true ); ?>

				</div>

			<?php else: ?>

				<?php echo gp_breadcrumbs(); ?>

				<div class="gp-search-title">

					<h1 class="page-title"><?php _e('Search results for', 'gp'); ?> "<?php echo get_search_query(); ?>"</h1>

				</div>

				<?php get_template_part('content/search/content', 'search'); ?>

			<?php endif; ?>

			<?php if ($wp_query->max_num_pages > 1) : ?><nav class="gp-pagination"><?php gp_pagination(); ?></nav><?php endif; ?>

		</main>
		<!-- end .gp-main -->

		<!-- begin .gp-sidebar -->
		<?php get_sidebar(); ?>
		<!-- end .gp-sidebar -->

	</div>

</div>
<!-- end .gp-main -->

<?php get_footer(); ?>