<?php 
/*
Title		: Techfind
Description	: Techfind Premium Theme
Author		: Toan Nguyen
Author URI	: http://www.grovepixels.com
License		: GPLv3 - http://www.gnu.org/copyleft/gpl.html
*/

/*
 * WooCommerce
 * --------------------------
 *
 */ 

// Display 16 products per page.
add_filter( 'loop_shop_per_page', create_function( '$cols', 'return 16;' ), 20 );

// Display 4 products per line. 
function wc_loop_shop_columns( $number_columns ) {
	return 4;
}
add_filter( 'loop_shop_columns', 'wc_loop_shop_columns', 1, 10 );

// Display 4 up-sell products
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_upsell_display', 15 );
add_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_upsells', 15 );
 
if ( ! function_exists( 'woocommerce_output_upsells' ) ) {
	function woocommerce_output_upsells() {
	    woocommerce_upsell_display( 4,4 );
	}
}

// Display 4 related products
add_filter( 'woocommerce_output_related_products_args', 'gp_woocommerce_related_products' );
function gp_woocommerce_related_products() {
	$args = array(
		'posts_per_page' => 4,
		'columns'        => 4,
	);
	return $args;
}
