<?php 
/*
Title		: Techfind
Description	: Techfind Premium Theme
Author		: Toan Nguyen
Author URI	: http://www.grovepixels.com
License		: GPLv3 - http://www.gnu.org/copyleft/gpl.html
*/
?>

<div class="gp-featured-posts">

<div class="gp-inner">

	<?php $featured_posts = new WP_Query(array('showposts' => 6, 'meta_key' => 'gp_enable_featured_posts', 'meta_value' => 'on',)); ?>

		<?php if ($featured_posts->have_posts()) : ?>

			<?php $count = 0; ?>
		
			<?php while($featured_posts->have_posts()): $featured_posts->the_post(); global $post; ?>

			<?php $format = get_post_format(); if (false === $format) $format = 'standard'; ?>

			<?php $count++; ?>

			<?php if ($count == 1) :?>

				<!-- begin .hentry -->
				<article id="post-<?php the_ID(); ?>" <?php post_class('gp-featured gp-big'); ?> itemscope="itemscope" itemprop="blogPost" itemtype="http://schema.org/BlogPosting">

					<!-- begin .featured-image -->
					<div class="featured-image">

						<?php if ( has_post_thumbnail() ) : ?><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('gp-560x280', array('itemprop' => 'image')); ?></a><?php endif; ?>

						<?php if ($format == 'gallery') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-picture-o"></i></a></div>

						<?php elseif ($format == 'video') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-play"></i></a></div>

						<?php elseif ($format == 'audio') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-music"></i></a></div>

						<?php else: ?>

						<?php endif; ?>

						<!-- begin .entry-content -->
						<section class="entry-content" itemprop="text">

							<!-- begin .entry-header -->
							<header class="entry-header">
							
								<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

								<div class="entry-meta">

									<span class="entry-author"><?php _e('By', 'gp'); ?> <span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

									<span class="entry-time"><?php _e('On', 'gp'); ?> <span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

								</div>

							</header>
							<!-- end .entry-header -->

						</section>
						<!-- end .entry-content -->

					</div>
					<!-- end .featured-image -->

				</article>
				<!-- end .hentry -->

			<?php elseif ($count == 2) :?>

				<!-- begin .hentry -->
				<article id="post-<?php the_ID(); ?>" <?php post_class('gp-featured gp-small'); ?> itemscope="itemscope" itemprop="blogPost" itemtype="http://schema.org/BlogPosting">

					<!-- begin .featured-image -->
					<div class="featured-image">

						<?php if ( has_post_thumbnail() ) : ?><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('gp-296x280', array('itemprop' => 'image')); ?></a><?php endif; ?>

						<?php if ($format == 'gallery') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-picture-o"></i></a></div>

						<?php elseif ($format == 'video') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-play"></i></a></div>

						<?php elseif ($format == 'audio') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-music"></i></a></div>

						<?php else: ?>

						<?php endif; ?>

						<!-- begin .entry-content -->
						<section class="entry-content" itemprop="text">

							<!-- begin .entry-header -->
							<header class="entry-header">
							
								<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

								<div class="entry-meta hidden">

									<span class="entry-author"><?php _e('By', 'gp'); ?> <span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

									<span class="entry-time"><?php _e('On', 'gp'); ?> <span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

								</div>

							</header>
							<!-- end .entry-header -->

						</section>
						<!-- end .entry-content -->

					</div>
					<!-- end .featured-image -->

				</article>
				<!-- end .hentry -->

			<?php elseif ($count == 3) :?>

				<!-- begin .hentry -->
				<article id="post-<?php the_ID(); ?>" <?php post_class('gp-featured gp-small'); ?> itemscope="itemscope" itemprop="blogPost" itemtype="http://schema.org/BlogPosting">

					<!-- begin .featured-image -->
					<div class="featured-image">

						<?php if ( has_post_thumbnail() ) : ?><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('gp-296x280', array('itemprop' => 'image')); ?></a><?php endif; ?>

						<?php if ($format == 'gallery') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-picture-o"></i></a></div>

						<?php elseif ($format == 'video') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-play"></i></a></div>

						<?php elseif ($format == 'audio') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-music"></i></a></div>

						<?php else: ?>

						<?php endif; ?>

						<!-- begin .entry-content -->
						<section class="entry-content" itemprop="text">

							<!-- begin .entry-header -->
							<header class="entry-header">
							
								<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

								<div class="entry-meta hidden">

									<span class="entry-author"><?php _e('By', 'gp'); ?> <span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

									<span class="entry-time"><?php _e('On', 'gp'); ?> <span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

								</div>

							</header>
							<!-- end .entry-header -->

						</section>
						<!-- end .entry-content -->

					</div>
					<!-- end .featured-image -->

				</article>
				<!-- end .hentry -->

			<?php elseif ($count == 4) :?>

				<!-- begin .hentry -->
				<article id="post-<?php the_ID(); ?>" <?php post_class('gp-featured gp-small'); ?> itemscope="itemscope" itemprop="blogPost" itemtype="http://schema.org/BlogPosting">

					<!-- begin .featured-image -->
					<div class="featured-image">

						<?php if ( has_post_thumbnail() ) : ?><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('gp-296x280', array('itemprop' => 'image')); ?></a><?php endif; ?>

						<?php if ($format == 'gallery') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-picture-o"></i></a></div>

						<?php elseif ($format == 'video') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-play"></i></a></div>

						<?php elseif ($format == 'audio') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-music"></i></a></div>

						<?php else: ?>

						<?php endif; ?>

						<!-- begin .entry-content -->
						<section class="entry-content" itemprop="text">

							<!-- begin .entry-header -->
							<header class="entry-header">
							
								<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

								<div class="entry-meta hidden">

									<span class="entry-author"><?php _e('By', 'gp'); ?> <span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

									<span class="entry-time"><?php _e('On', 'gp'); ?> <span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

								</div>

							</header>
							<!-- end .entry-header -->

						</section>
						<!-- end .entry-content -->

					</div>
					<!-- end .featured-image -->

				</article>
				<!-- end .hentry -->

			<?php elseif ($count == 5 ) :?>

				<!-- begin .hentry -->
				<article id="post-<?php the_ID(); ?>" <?php post_class('gp-featured gp-small'); ?> itemscope="itemscope" itemprop="blogPost" itemtype="http://schema.org/BlogPosting">

					<!-- begin .featured-image -->
					<div class="featured-image">

						<?php if ( has_post_thumbnail() ) : ?><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('gp-296x280', array('itemprop' => 'image')); ?></a><?php endif; ?>

						<?php if ($format == 'gallery') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-picture-o"></i></a></div>

						<?php elseif ($format == 'video') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-play"></i></a></div>

						<?php elseif ($format == 'audio') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-music"></i></a></div>

						<?php else: ?>

						<?php endif; ?>

						<!-- begin .entry-content -->
						<section class="entry-content" itemprop="text">

							<!-- begin .entry-header -->
							<header class="entry-header">
							
								<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

								<div class="entry-meta hidden">

									<span class="entry-author"><?php _e('By', 'gp'); ?> <span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

									<span class="entry-time"><?php _e('On', 'gp'); ?> <span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

								</div>

							</header>
							<!-- end .entry-header -->

						</section>
						<!-- end .entry-content -->

					</div>
					<!-- end .featured-image -->

				</article>
				<!-- end .hentry -->

			<?php elseif ($count == 6) :?>

				<!-- begin .hentry -->
				<article id="post-<?php the_ID(); ?>" <?php post_class('gp-featured gp-big'); ?> itemscope="itemscope" itemprop="blogPost" itemtype="http://schema.org/BlogPosting">

					<!-- begin .featured-image -->
					<div class="featured-image">

						<?php if ( has_post_thumbnail() ) : ?><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('gp-560x280', array('itemprop' => 'image')); ?></a><?php endif; ?>

						<?php if ($format == 'gallery') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-picture-o"></i></a></div>

						<?php elseif ($format == 'video') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-play"></i></a></div>

						<?php elseif ($format == 'audio') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-music"></i></a></div>

						<?php else: ?>

						<?php endif; ?>

						<!-- begin .entry-content -->
						<section class="entry-content" itemprop="text">

							<!-- begin .entry-header -->
							<header class="entry-header">
							
								<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

								<div class="entry-meta">

									<span class="entry-author"><?php _e('By', 'gp'); ?> <span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

									<span class="entry-time"><?php _e('On', 'gp'); ?> <span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

								</div>

							</header>
							<!-- end .entry-header -->

						</section>
						<!-- end .entry-content -->

					</div>
					<!-- end .featured-image -->

				</article>
				<!-- end .hentry -->

			<?php endif; ?>

			<?php endwhile; ?>

		<?php endif; ?>

	<?php wp_reset_query(); ?>

</div>

</div>